com.taosdata.jdbc.ws.entity

## Class FetchJsonResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.FetchJsonResp

    public class FetchJsonResp
    extends Response

### Constructor Summary

Constructors
Constructor and Description
`FetchJsonResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.alibaba.fastjson.JSONArray` `getData()`
`long` `getId()`
`void` `setData(com.alibaba.fastjson.JSONArray data)`
`void` `setId(long id)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchJsonResp

    public FetchJsonResp()

### Method Detail

#### getData

    public com.alibaba.fastjson.JSONArray getData()

#### setData

    public void setData(com.alibaba.fastjson.JSONArray data)

#### getId

    public long getId()

#### setId

    public void setId(long id)